[gentoo-commits] repo/proj/prefix:master commit in: app-editors/nano/

2020-12-15 Thread Fabian Groffen
commit: 475361a460980629793f3227fbe3b9ea2c27a25c
Author: Fabian Groffen  gentoo  org>
AuthorDate: Tue Dec 15 19:14:58 2020 +
Commit: Fabian Groffen  gentoo  org>
CommitDate: Tue Dec 15 19:14:58 2020 +
URL:https://gitweb.gentoo.org/repo/proj/prefix.git/commit/?id=475361a4

app-editors/nano: drop ~ppc-aix

Bug: https://bugs.gentoo.org/760057
Package-Manager: Portage-3.0.12-prefix, Repoman-3.0.2
Signed-off-by: Fabian Groffen  gentoo.org>

 app-editors/nano/Manifest  |  2 -
 app-editors/nano/nano-2.7.3.ebuild | 85 --
 app-editors/nano/nano-4.9.3.ebuild | 82 
 app-editors/nano/nano-5.4.ebuild   |  2 +-
 4 files changed, 1 insertion(+), 170 deletions(-)

diff --git a/app-editors/nano/Manifest b/app-editors/nano/Manifest
index 2ab0b4f0e1..c1739a154c 100644
--- a/app-editors/nano/Manifest
+++ b/app-editors/nano/Manifest
@@ -1,3 +1 @@
-DIST nano-2.7.3.tar.gz 2048675 BLAKE2B 
df7bb6b64b2b273e94e2584043f50292a646e76fee2aa634c5b8f25878ffab4b78320f25f9879fa97313b36463d58274020ea00cf2149168887684d3c7817314
 SHA512 
cd159cf193f05b37f770ac79e532fe96be158688d241ab7090861016fe0da9dde2ab504d0703b8feea8043e1deded3f10f0ab4dd5cceba99fe4a1dfcf5062b0b
-DIST nano-4.9.3.tar.gz 2999198 BLAKE2B 
a96f707936934a965a9a41dfe13ac1ebbe1a5e38db714df6d219b2c6539f24924d4c4f0451508718f66259854806032b84dc89850a7fd55d157f28ae23531d0e
 SHA512 
233e6ed103441bd2c85ed21c50547f85dc0838cc750a5e9b16ecfb393e3b7b978e971af4a4164062c7c267c98895ecb696c02cbd2e4c2eb1ceee657fd026c30a
 DIST nano-5.4.tar.gz 2898561 BLAKE2B 
7e5e48f1e85253a7a4a9be2be2b7663e8798655d9e9e2505df1d1752512058734062af953652c1d11dca464ca06d7c90faf2e54cdb65ba01d0f76cfca0282c18
 SHA512 
711b1a890649e3a2b62c778e6d54813ed98a8261c47a92aa6d7baa690f86d8563813a764f5dffcc6c259fe9b05f8fe76cf48a3178b09666ba55ee035c91cbe28

diff --git a/app-editors/nano/nano-2.7.3.ebuild 
b/app-editors/nano/nano-2.7.3.ebuild
deleted file mode 100644
index 71831a8ae9..00
--- a/app-editors/nano/nano-2.7.3.ebuild
+++ /dev/null
@@ -1,85 +0,0 @@
-# Copyright 1999-2017 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI="5"
-
-inherit eutils flag-o-matic
-if [[ ${PV} == "" ]] ; then
-   EGIT_REPO_URI="git://git.sv.gnu.org/nano.git"
-   inherit git-r3 autotools
-else
-   MY_P=${PN}-${PV/_}
-   SRC_URI="https://www.nano-editor.org/dist/v${PV:0:3}/${MY_P}.tar.gz;
-   KEYWORDS="~ppc-aix ~x64-cygwin ~amd64-linux ~arm-linux ~x86-linux 
~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris 
~x64-solaris ~x86-solaris"
-fi
-
-DESCRIPTION="GNU GPL'd Pico clone with more functionality"
-HOMEPAGE="https://www.nano-editor.org/ 
https://wiki.gentoo.org/wiki/Nano/Basics_Guide;
-
-LICENSE="GPL-3"
-SLOT="0"
-IUSE="debug justify +magic minimal ncurses nls slang +spell static unicode"
-
-LIB_DEPEND=">=sys-libs/ncurses-5.9-r1:0=[unicode?]
-   sys-libs/ncurses:0=[static-libs(+)]
-   magic? ( sys-apps/file[static-libs(+)] )
-   nls? ( virtual/libintl )
-   !ncurses? ( slang? ( sys-libs/slang[static-libs(+)] ) )"
-RDEPEND="!static? ( ${LIB_DEPEND//\[static-libs(+)]} )"
-DEPEND="${RDEPEND}
-   nls? ( sys-devel/gettext )
-   virtual/pkgconfig
-   static? ( ${LIB_DEPEND} )"
-
-src_prepare() {
-   if [[ ${PV} == "" ]] ; then
-   eautoreconf
-   fi
-   epatch "${FILESDIR}"/${P}-tiny.patch #604000
-   epatch_user
-}
-
-src_configure() {
-   use static && append-ldflags -static
-   local myconf=()
-   case ${CHOST} in
-   *-gnu*|*-uclibc*) myconf+=( "--with-wordbounds" ) ;; #467848
-   esac
-   econf \
-   --bindir="${EPREFIX}"/bin \
-   --htmldir=/trash \
-   $(use_enable !minimal color) \
-   $(use_enable !minimal multibuffer) \
-   $(use_enable !minimal nanorc) \
-   --disable-wrapping-as-root \
-   $(use_enable magic libmagic) \
-   $(use_enable spell speller) \
-   $(use_enable justify) \
-   $(use_enable debug) \
-   $(use_enable nls) \
-   $(use_enable unicode utf8) \
-   $(use_enable minimal tiny) \
-   $(usex ncurses --without-slang $(use_with slang)) \
-   "${myconf[@]}"
-}
-
-src_install() {
-   default
-   rm -rf "${D}"/trash
-
-   dodoc doc/nanorc.sample
-   docinto html
-   dodoc doc/faq.html
-   insinto /etc
-   newins doc/nanorc.sample nanorc
-   if ! use minimal ; then
-   # Enable colorization by default.
-   sed -i \
-   -e '/^# include /s:# *::' \
-   "${ED}"/etc/nanorc || die
-   fi
-   if ! use prefix-guest ; then
-   dodir /usr/bin
-   dosym /bin/nano /usr/bin/nano
-   fi
-}

diff --git a/app-editors/nano/nano-4.9.3.ebuild 

[gentoo-commits] repo/proj/prefix:master commit in: app-editors/nano/files/, app-editors/nano/

2020-12-15 Thread Fabian Groffen
commit: 39195e6d59b20ed6293f5ea50c577d686966b95f
Author: Fabian Groffen  gentoo  org>
AuthorDate: Tue Dec 15 19:20:23 2020 +
Commit: Fabian Groffen  gentoo  org>
CommitDate: Tue Dec 15 19:20:23 2020 +
URL:https://gitweb.gentoo.org/repo/proj/prefix.git/commit/?id=39195e6d

app-editors/nano: migrated to gx86

Signed-off-by: Fabian Groffen  gentoo.org>

 app-editors/nano/Manifest|  1 -
 app-editors/nano/files/nano-2.7.3-tiny.patch | 29 -
 app-editors/nano/metadata.xml| 38 ---
 app-editors/nano/nano-5.4.ebuild | 94 
 app-editors/nano/nano-.ebuild| 94 
 5 files changed, 256 deletions(-)

diff --git a/app-editors/nano/Manifest b/app-editors/nano/Manifest
deleted file mode 100644
index c1739a154c..00
--- a/app-editors/nano/Manifest
+++ /dev/null
@@ -1 +0,0 @@
-DIST nano-5.4.tar.gz 2898561 BLAKE2B 
7e5e48f1e85253a7a4a9be2be2b7663e8798655d9e9e2505df1d1752512058734062af953652c1d11dca464ca06d7c90faf2e54cdb65ba01d0f76cfca0282c18
 SHA512 
711b1a890649e3a2b62c778e6d54813ed98a8261c47a92aa6d7baa690f86d8563813a764f5dffcc6c259fe9b05f8fe76cf48a3178b09666ba55ee035c91cbe28

diff --git a/app-editors/nano/files/nano-2.7.3-tiny.patch 
b/app-editors/nano/files/nano-2.7.3-tiny.patch
deleted file mode 100644
index 148716d5db..00
--- a/app-editors/nano/files/nano-2.7.3-tiny.patch
+++ /dev/null
@@ -1,29 +0,0 @@
-From fc89ac11d25a5d052a63c01006c1fd767d9f5879 Mon Sep 17 00:00:00 2001
-From: Felix Janda 
-Date: Thu, 29 Dec 2016 13:43:06 -0500
-Subject: [PATCH] speller: fix build when tiny build is enabled
-
-URL: https://bugs.gentoo.org/604000

- src/text.c | 2 ++
- 1 file changed, 2 insertions(+)
-
-diff --git a/src/text.c b/src/text.c
-index bd1737687e65..a8b34f2f6bba 100644
 a/src/text.c
-+++ b/src/text.c
-@@ -3079,9 +3079,11 @@ const char *do_alt_speller(char *tempfile_name)
- stat(tempfile_name, );
- if (spellfileinfo.st_mtime != timestamp) {
-   set_modified();
-+#ifndef NANO_TINY
-   /* Flush the undo stack, to avoid making a mess when the user
-* tries to undo things in spell-corrected lines. */
-   discard_until(NULL, openfile);
-+#endif
- }
- #ifndef NANO_TINY
- /* Unblock SIGWINCHes again. */
--- 
-2.11.0
-

diff --git a/app-editors/nano/metadata.xml b/app-editors/nano/metadata.xml
deleted file mode 100644
index 707af36144..00
--- a/app-editors/nano/metadata.xml
+++ /dev/null
@@ -1,38 +0,0 @@
-
-http://www.gentoo.org/dtd/metadata.dtd;>
-
-
- vap...@gentoo.org
-
-
-GNU nano - an enhanced clone of the Pico text editor.
-
-The nano project was started because of a few "problems" with the
-wonderfully easy-to-use and friendly Pico text editor.
-
-First and foremost is its license: the Pine suite does not use the
-GPL or a GPL-friendly license, and has unclear restrictions on
-redistribution.  Because of this, Pine and Pico are not included with
-many GNU/Linux distributions.  Also, other features (like goto line
-number or search and replace) were unavailable until recently or
-require a command line flag.  Yuck.
-
-nano aims to solve these problems by emulating the functionality of
-Pico as closely as possible while addressing the problems above and
-perhaps providing other extra functionality.
-
-
- Enable justify/unjustify functions for text 
formatting.
- 
-  Enable debug messages and assert warnings.  Note that these will all be sent
-  straight to stderr rather than some logging facility.
- 
- 
-  Add magic file support (sys-apps/file) to automatically detect appropriate 
syntax highlighting
- 
- 
-  Disable all fancy features, including ones that otherwise have a dedicated
-  USE flag (such as spelling).
- 
-
-

diff --git a/app-editors/nano/nano-5.4.ebuild b/app-editors/nano/nano-5.4.ebuild
deleted file mode 100644
index 3cf92143d5..00
--- a/app-editors/nano/nano-5.4.ebuild
+++ /dev/null
@@ -1,94 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-inherit flag-o-matic
-if [[ ${PV} == "" ]] ; then
-   EGIT_REPO_URI="git://git.sv.gnu.org/nano.git"
-   inherit git-r3 autotools
-else
-   MY_P="${PN}-${PV/_}"
-   SRC_URI="https://www.nano-editor.org/dist/v${PV:0:1}/${MY_P}.tar.gz;
-   KEYWORDS="~x64-cygwin ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos 
~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris 
~x86-solaris"
-fi
-
-DESCRIPTION="GNU GPL'd Pico clone with more functionality"
-HOMEPAGE="https://www.nano-editor.org/ 
https://wiki.gentoo.org/wiki/Nano/Basics_Guide;
-
-LICENSE="GPL-3"
-SLOT="0"
-IUSE="debug justify magic minimal ncurses nls slang +spell +split-usr static 
unicode"
-
-LIB_DEPEND=">=sys-libs/ncurses-5.9-r1:0=[unicode?]
-   sys-libs/ncurses:0=[static-libs(+)]
-   magic? ( sys-apps/file[static-libs(+)] )
-   nls? ( virtual/libintl )
-   

[gentoo-commits] repo/proj/prefix:master commit in: app-editors/nano/

2020-12-02 Thread Sam James
commit: 8412e9e79fd3cfa21099a2287fed58937edf74c7
Author: Sam James  gentoo  org>
AuthorDate: Wed Dec  2 22:28:47 2020 +
Commit: Sam James  gentoo  org>
CommitDate: Wed Dec  2 22:28:47 2020 +
URL:https://gitweb.gentoo.org/repo/proj/prefix.git/commit/?id=8412e9e7

app-editors/nano: bump to 5.4

Package-Manager: Portage-3.0.10.2-prefix, Repoman-3.0.2
Signed-off-by: Sam James  gentoo.org>

 app-editors/nano/Manifest  |  1 +
 app-editors/nano/{nano-.ebuild => nano-5.4.ebuild} | 16 ++--
 app-editors/nano/nano-.ebuild  | 16 ++--
 3 files changed, 29 insertions(+), 4 deletions(-)

diff --git a/app-editors/nano/Manifest b/app-editors/nano/Manifest
index d0fe9c4999..2ab0b4f0e1 100644
--- a/app-editors/nano/Manifest
+++ b/app-editors/nano/Manifest
@@ -1,2 +1,3 @@
 DIST nano-2.7.3.tar.gz 2048675 BLAKE2B 
df7bb6b64b2b273e94e2584043f50292a646e76fee2aa634c5b8f25878ffab4b78320f25f9879fa97313b36463d58274020ea00cf2149168887684d3c7817314
 SHA512 
cd159cf193f05b37f770ac79e532fe96be158688d241ab7090861016fe0da9dde2ab504d0703b8feea8043e1deded3f10f0ab4dd5cceba99fe4a1dfcf5062b0b
 DIST nano-4.9.3.tar.gz 2999198 BLAKE2B 
a96f707936934a965a9a41dfe13ac1ebbe1a5e38db714df6d219b2c6539f24924d4c4f0451508718f66259854806032b84dc89850a7fd55d157f28ae23531d0e
 SHA512 
233e6ed103441bd2c85ed21c50547f85dc0838cc750a5e9b16ecfb393e3b7b978e971af4a4164062c7c267c98895ecb696c02cbd2e4c2eb1ceee657fd026c30a
+DIST nano-5.4.tar.gz 2898561 BLAKE2B 
7e5e48f1e85253a7a4a9be2be2b7663e8798655d9e9e2505df1d1752512058734062af953652c1d11dca464ca06d7c90faf2e54cdb65ba01d0f76cfca0282c18
 SHA512 
711b1a890649e3a2b62c778e6d54813ed98a8261c47a92aa6d7baa690f86d8563813a764f5dffcc6c259fe9b05f8fe76cf48a3178b09666ba55ee035c91cbe28

diff --git a/app-editors/nano/nano-.ebuild 
b/app-editors/nano/nano-5.4.ebuild
similarity index 77%
copy from app-editors/nano/nano-.ebuild
copy to app-editors/nano/nano-5.4.ebuild
index 83537e7423..8fb6906314 100644
--- a/app-editors/nano/nano-.ebuild
+++ b/app-editors/nano/nano-5.4.ebuild
@@ -10,7 +10,7 @@ if [[ ${PV} == "" ]] ; then
 else
MY_P="${PN}-${PV/_}"
SRC_URI="https://www.nano-editor.org/dist/v${PV:0:1}/${MY_P}.tar.gz;
-   KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 
~riscv ~s390 ~sparc ~x86 ~ppc-aix ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos 
~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+   KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 
~riscv ~s390 ~sparc ~x86 ~ppc-aix ~x64-cygwin ~amd64-linux ~arm-linux 
~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris 
~sparc64-solaris ~x64-solaris ~x86-solaris"
 fi
 
 DESCRIPTION="GNU GPL'd Pico clone with more functionality"
@@ -18,7 +18,7 @@ HOMEPAGE="https://www.nano-editor.org/ 
https://wiki.gentoo.org/wiki/Nano/Basics_
 
 LICENSE="GPL-3"
 SLOT="0"
-IUSE="debug justify +magic minimal ncurses nls slang +spell +split-usr static 
unicode"
+IUSE="debug justify magic minimal ncurses nls slang +spell +split-usr static 
unicode"
 
 LIB_DEPEND=">=sys-libs/ncurses-5.9-r1:0=[unicode?]
sys-libs/ncurses:0=[static-libs(+)]
@@ -32,6 +32,12 @@ BDEPEND="
nls? ( sys-devel/gettext )
virtual/pkgconfig
 "
+
+REQUIRED_USE="
+   !ncurses? ( slang? ( minimal ) )
+   magic? ( !minimal )
+"
+
 src_prepare() {
default
if [[ ${PV} == "" ]] ; then
@@ -74,6 +80,12 @@ src_install() {
sed -i \
-e '/^# include /s:# *::' \
"${ED}"/etc/nanorc || die
+
+   # Since nano-5.0 these are no longer being "enabled" by default
+   # (bug #736848)
+   local rcdir="/usr/share/nano"
+   mv "${ED}"${rcdir}/extra/* "${ED}"/${rcdir}/ || die
+   rmdir "${ED}"${rcdir}/extra || die
fi
 
if use split-usr || ( use prefix && ! use prefix-guest ) ; then

diff --git a/app-editors/nano/nano-.ebuild 
b/app-editors/nano/nano-.ebuild
index 83537e7423..8fb6906314 100644
--- a/app-editors/nano/nano-.ebuild
+++ b/app-editors/nano/nano-.ebuild
@@ -10,7 +10,7 @@ if [[ ${PV} == "" ]] ; then
 else
MY_P="${PN}-${PV/_}"
SRC_URI="https://www.nano-editor.org/dist/v${PV:0:1}/${MY_P}.tar.gz;
-   KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 
~riscv ~s390 ~sparc ~x86 ~ppc-aix ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos 
~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+   KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 
~riscv ~s390 ~sparc ~x86 ~ppc-aix ~x64-cygwin ~amd64-linux ~arm-linux 
~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris 
~sparc64-solaris ~x64-solaris ~x86-solaris"
 fi
 
 DESCRIPTION="GNU GPL'd Pico clone with more functionality"
@@ -18,7 +18,7 @@ 

[gentoo-commits] repo/proj/prefix:master commit in: app-editors/nano/

2020-11-29 Thread Sam James
commit: 75413e6004749a5c0abf7bc45860a006d415111e
Author: Sam James  gentoo  org>
AuthorDate: Mon Nov 30 05:03:54 2020 +
Commit: Sam James  gentoo  org>
CommitDate: Mon Nov 30 05:03:54 2020 +
URL:https://gitweb.gentoo.org/repo/proj/prefix.git/commit/?id=75413e60

app-editors/nano: sync live

Package-Manager: Portage-3.0.10.2-prefix, Repoman-3.0.2
Signed-off-by: Sam James  gentoo.org>

 app-editors/nano/nano-4.9.3.ebuild |  2 +-
 app-editors/nano/nano-.ebuild  | 71 ++
 2 files changed, 35 insertions(+), 38 deletions(-)

diff --git a/app-editors/nano/nano-4.9.3.ebuild 
b/app-editors/nano/nano-4.9.3.ebuild
index 3fedc6281e..f2672b23e4 100644
--- a/app-editors/nano/nano-4.9.3.ebuild
+++ b/app-editors/nano/nano-4.9.3.ebuild
@@ -76,7 +76,7 @@ src_install() {
"${ED}"/etc/nanorc || die
fi
 
-   if use split-usr || ! use prefix-guest ; then
+   if use split-usr || ( use prefix && ! use prefix-guest ) ; then
 dosym ../../bin/nano /usr/bin/nano
fi
 }

diff --git a/app-editors/nano/nano-.ebuild 
b/app-editors/nano/nano-.ebuild
index dd61bfc2c2..83537e7423 100644
--- a/app-editors/nano/nano-.ebuild
+++ b/app-editors/nano/nano-.ebuild
@@ -1,17 +1,16 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2020 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
-# $Id$
 
-EAPI=6
+EAPI=7
 
-inherit eutils flag-o-matic
+inherit flag-o-matic
 if [[ ${PV} == "" ]] ; then
EGIT_REPO_URI="git://git.sv.gnu.org/nano.git"
inherit git-r3 autotools
 else
-   MY_P=${PN}-${PV/_}
-   SRC_URI="https://www.nano-editor.org/dist/v${PV:0:3}/${MY_P}.tar.gz;
-   KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 
~s390 ~sh ~sparc ~x86 ~ppc-aix ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~amd64-linux 
~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint 
~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+   MY_P="${PN}-${PV/_}"
+   SRC_URI="https://www.nano-editor.org/dist/v${PV:0:1}/${MY_P}.tar.gz;
+   KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 
~riscv ~s390 ~sparc ~x86 ~ppc-aix ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos 
~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
 fi
 
 DESCRIPTION="GNU GPL'd Pico clone with more functionality"
@@ -19,7 +18,7 @@ HOMEPAGE="https://www.nano-editor.org/ 
https://wiki.gentoo.org/wiki/Nano/Basics_
 
 LICENSE="GPL-3"
 SLOT="0"
-IUSE="debug justify +magic minimal ncurses nls slang +spell static unicode"
+IUSE="debug justify +magic minimal ncurses nls slang +spell +split-usr static 
unicode"
 
 LIB_DEPEND=">=sys-libs/ncurses-5.9-r1:0=[unicode?]
sys-libs/ncurses:0=[static-libs(+)]
@@ -28,58 +27,56 @@ LIB_DEPEND=">=sys-libs/ncurses-5.9-r1:0=[unicode?]
!ncurses? ( slang? ( sys-libs/slang[static-libs(+)] ) )"
 RDEPEND="!static? ( ${LIB_DEPEND//\[static-libs(+)]} )"
 DEPEND="${RDEPEND}
+   static? ( ${LIB_DEPEND} )"
+BDEPEND="
nls? ( sys-devel/gettext )
virtual/pkgconfig
-   static? ( ${LIB_DEPEND} )"
-
+"
 src_prepare() {
+   default
if [[ ${PV} == "" ]] ; then
eautoreconf
fi
-   default
 }
 
 src_configure() {
use static && append-ldflags -static
-   local myconf=()
-   case ${CHOST} in
-   *-gnu*|*-uclibc*) myconf+=( "--with-wordbounds" ) ;; #467848
-   esac
-   econf \
-   --bindir="${EPREFIX}"/bin \
-   --htmldir=/trash \
-   $(use_enable !minimal color) \
-   $(use_enable !minimal multibuffer) \
-   $(use_enable !minimal nanorc) \
-   --disable-wrapping-as-root \
-   $(use_enable magic libmagic) \
-   $(use_enable spell speller) \
-   $(use_enable justify) \
-   $(use_enable debug) \
-   $(use_enable nls) \
-   $(use_enable unicode utf8) \
-   $(use_enable minimal tiny) \
-   $(usex ncurses --without-slang $(use_with slang)) \
-   "${myconf[@]}"
+   local myconf=(
+   --bindir="${EPREFIX}"/bin
+   --htmldir=/trash
+   $(use_enable !minimal color)
+   $(use_enable !minimal multibuffer)
+   $(use_enable !minimal nanorc)
+   $(use_enable magic libmagic)
+   $(use_enable spell speller)
+   $(use_enable justify)
+   $(use_enable debug)
+   $(use_enable nls)
+   $(use_enable unicode utf8)
+   $(use_enable minimal tiny)
+   $(usex ncurses --without-slang $(use_with slang))
+   )
+   econf "${myconf[@]}"
 }
 
 src_install() {
default
-   rm -rf "${D}"/trash
+   # don't use "${ED}" here or things break (#654534)
+   rm -r 

[gentoo-commits] repo/proj/prefix:master commit in: app-editors/nano/

2020-11-29 Thread Sam James
commit: 4fe38e9340c7ab885ef0ddefc2050ede600f34f5
Author: Sam James  gentoo  org>
AuthorDate: Mon Nov 30 04:56:26 2020 +
Commit: Sam James  gentoo  org>
CommitDate: Mon Nov 30 04:56:26 2020 +
URL:https://gitweb.gentoo.org/repo/proj/prefix.git/commit/?id=4fe38e93

app-editors/nano: bump to 4.9.3

Package-Manager: Portage-3.0.10.2-prefix, Repoman-3.0.2
Signed-off-by: Sam James  gentoo.org>

 app-editors/nano/Manifest  |  1 +
 app-editors/nano/nano-4.9.3.ebuild | 82 ++
 2 files changed, 83 insertions(+)

diff --git a/app-editors/nano/Manifest b/app-editors/nano/Manifest
index 2c800ebc16..d0fe9c4999 100644
--- a/app-editors/nano/Manifest
+++ b/app-editors/nano/Manifest
@@ -1 +1,2 @@
 DIST nano-2.7.3.tar.gz 2048675 BLAKE2B 
df7bb6b64b2b273e94e2584043f50292a646e76fee2aa634c5b8f25878ffab4b78320f25f9879fa97313b36463d58274020ea00cf2149168887684d3c7817314
 SHA512 
cd159cf193f05b37f770ac79e532fe96be158688d241ab7090861016fe0da9dde2ab504d0703b8feea8043e1deded3f10f0ab4dd5cceba99fe4a1dfcf5062b0b
+DIST nano-4.9.3.tar.gz 2999198 BLAKE2B 
a96f707936934a965a9a41dfe13ac1ebbe1a5e38db714df6d219b2c6539f24924d4c4f0451508718f66259854806032b84dc89850a7fd55d157f28ae23531d0e
 SHA512 
233e6ed103441bd2c85ed21c50547f85dc0838cc750a5e9b16ecfb393e3b7b978e971af4a4164062c7c267c98895ecb696c02cbd2e4c2eb1ceee657fd026c30a

diff --git a/app-editors/nano/nano-4.9.3.ebuild 
b/app-editors/nano/nano-4.9.3.ebuild
new file mode 100644
index 00..3fedc6281e
--- /dev/null
+++ b/app-editors/nano/nano-4.9.3.ebuild
@@ -0,0 +1,82 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit flag-o-matic
+if [[ ${PV} == "" ]] ; then
+   EGIT_REPO_URI="git://git.sv.gnu.org/nano.git"
+   inherit git-r3 autotools
+else
+   MY_P="${PN}-${PV/_}"
+   SRC_URI="https://www.nano-editor.org/dist/v${PV:0:1}/${MY_P}.tar.gz;
+   KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 
~riscv ~s390 ~sparc ~x86 ~ppc-aix ~x64-cygwin ~amd64-linux ~arm-linux 
~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris 
~sparc64-solaris ~x64-solaris ~x86-solaris"
+fi
+
+DESCRIPTION="GNU GPL'd Pico clone with more functionality"
+HOMEPAGE="https://www.nano-editor.org/ 
https://wiki.gentoo.org/wiki/Nano/Basics_Guide;
+
+LICENSE="GPL-3"
+SLOT="0"
+IUSE="debug justify +magic minimal ncurses nls slang +spell +split-usr static 
unicode"
+
+LIB_DEPEND=">=sys-libs/ncurses-5.9-r1:0=[unicode?]
+   sys-libs/ncurses:0=[static-libs(+)]
+   magic? ( sys-apps/file[static-libs(+)] )
+   nls? ( virtual/libintl )
+   !ncurses? ( slang? ( sys-libs/slang[static-libs(+)] ) )"
+RDEPEND="!static? ( ${LIB_DEPEND//\[static-libs(+)]} )"
+DEPEND="${RDEPEND}
+   static? ( ${LIB_DEPEND} )"
+BDEPEND="
+   nls? ( sys-devel/gettext )
+   virtual/pkgconfig
+"
+src_prepare() {
+   default
+   if [[ ${PV} == "" ]] ; then
+   eautoreconf
+   fi
+}
+
+src_configure() {
+   use static && append-ldflags -static
+   local myconf=(
+   --bindir="${EPREFIX}"/bin
+   --htmldir=/trash
+   $(use_enable !minimal color)
+   $(use_enable !minimal multibuffer)
+   $(use_enable !minimal nanorc)
+   $(use_enable magic libmagic)
+   $(use_enable spell speller)
+   $(use_enable justify)
+   $(use_enable debug)
+   $(use_enable nls)
+   $(use_enable unicode utf8)
+   $(use_enable minimal tiny)
+   $(usex ncurses --without-slang $(use_with slang))
+   )
+   econf "${myconf[@]}"
+}
+
+src_install() {
+   default
+   # don't use "${ED}" here or things break (#654534)
+   rm -r "${D}"/trash || die
+
+   dodoc doc/sample.nanorc
+   docinto html
+   dodoc doc/faq.html
+   insinto /etc
+   newins doc/sample.nanorc nanorc
+   if ! use minimal ; then
+   # Enable colorization by default.
+   sed -i \
+   -e '/^# include /s:# *::' \
+   "${ED}"/etc/nanorc || die
+   fi
+
+   if use split-usr || ! use prefix-guest ; then
+dosym ../../bin/nano /usr/bin/nano
+   fi
+}